For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

transaction analytics

get

https://public-api-dev.solscan.io/analytics/transactions

Retrieve daily network Solana transaction analytics, including total, vote, and non-vote transaction breakdowns over a given time range.

QUERY PARAMS

filter

string

Metric to filter the returned series by. Use 'all' to return a full breakdown (total, vote, nonvote_success, nonvote_fail) for each day, or select one of the other values to return just that single metric as 'value' for each day.

range

number

Time range in days for the data to be returned, counting back from today. Will be overrided by from_date and to_date if provided.

from_date

number

Used when you want to filter data by time. Format time: YYYYMMDD. You need to pass array into http query to filter by start and end time. Example: ?from_date=20260701&to_date=20260715

to_date

number

Used when you want to filter data by time. Format time: YYYYMMDD. You need to pass array into http query to filter by start and end time. Example: ?from_date=20260701&to_date=20260715

RESPONSES

200

OK

Response Body ()

success

boolean

Request status

updated_time

number

Unix timestamp (in seconds) of when this response was generated

lag_days

number

Number of days by which the underlying data lags behind real time

filter

string

The filter value echoed back from the request

block_date

string

Date of the data point, formatted as YYYY-MM-DD

block_time

number

Unix timestamp (in seconds) of block_date

total

number

Total number of transactions on this date. Only present when filter=all

vote

number

Number of vote transactions on this date. Only present when filter=all

nonvote_success

number

Number of successful non-vote transactions on this date. Only present when filter=all

nonvote_fail

number

Number of failed non-vote transactions on this date. Only present when filter=all

value

number

Value for the selected metric. Only present when filter is total, vote, nonvote_success, or nonvote_fail

400

Bad Request

Response Body ()

429

Too Many Requests

Response Body ()

500

Internal Server Error

Response Body ()

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples